const system = require('../../../system');
const Dao = require('../../dao.base');
class SalesmanhisDao extends Dao {
  constructor() {
    super(Dao.getModelName(SalesmanhisDao));
  }

  /* 插入状态信息信息*/
  async insertInfo(qobj, t) {
    const obj = {
      flow_type: qobj.flowType,
      flow_id: qobj.flowId,
      flow_code: qobj.flowCode,
      salesman_info: qobj.salesmanInfo,
    };
    return await this.create(obj, t);
  }
}
module.exports = SalesmanhisDao;
